Bug 1535562 - pkg-config libntirpc --cflags gives wrong path for cflags
Summary: pkg-config libntirpc --cflags gives wrong path for cflags
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libntirpc
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kaleb KEITHLEY
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-17 15:45 UTC by Guenther Deschner
Modified: 2018-01-26 18:09 UTC (History)
2 users (show)

Fixed In Version: libntirpc-1.5.3-5.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-26 18:09:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Guenther Deschner 2018-01-17 15:45:15 UTC
Description of problem:

pkg-config libntirpc --cflags gives:
-I/ntirpc

but I guess it should give:

-I/usr/include/ntirpc

Version-Release number of selected component (if applicable):

libntirpc-devel-1.5.3-4.fc27.x86_64

Comment 1 Daniel Gryniewicz 2018-01-17 15:56:09 UTC
Note that this is fixed in 1.6.0

Comment 2 Guenther Deschner 2018-01-17 15:58:13 UTC
That's great, thanks!

Comment 3 Kaleb KEITHLEY 2018-01-17 16:07:10 UTC
I'll respin the 1.5 packages

Comment 4 Fedora Update System 2018-01-17 17:04:23 UTC
libntirpc-1.5.3-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8a142c5b14

Comment 5 Fedora Update System 2018-01-17 17:18:36 UTC
libntirpc-1.5.3-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2433f485f3

Comment 6 Fedora Update System 2018-01-18 01:17:37 UTC
libntirpc-1.5.3-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2433f485f3

Comment 7 Fedora Update System 2018-01-18 02:11:43 UTC
libntirpc-1.5.3-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8a142c5b14

Comment 8 Fedora Update System 2018-01-26 17:55:55 UTC
libntirpc-1.5.3-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-01-26 18:09:44 UTC
libntirpc-1.5.3-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.